-- Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
-- --------------------------------------------------------------------------------
-- Tool Version: Vivado v.2022.1 (win64) Build 3526262 Mon Apr 18 15:48:16 MDT 2022
-- Date        : Fri Oct 18 16:24:20 2024
-- Host        : ixpc76 running 64-bit major release  (build 9200)
-- Command     : write_vhdl -force -cell top_i/ip -mode synth_stub ../../../../02-ip_src_gen/ip_imp_OWDWE0_stub.vhd
-- Design      : ip_imp_OWDWE0
-- Purpose     : Stub declaration of top-level module interface
-- Device      : xc7z030fbg676-3
-- --------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity ip_imp_OWDWE0 is
  Port ( 
    clk_50_mhz : out STD_LOGIC;
    clk_250_mhz : out STD_LOGIC;
    ADC_reg_00 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_01 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_02 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_03 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_04 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_05 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_06 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_07 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_08 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_09 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_10 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_11 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_12 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_13 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_14 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    ADC_reg_15 : out STD_LOGIC_VECTOR ( 15 downto 0 );
    data_valid_pulse : out STD_LOGIC;
    sync_pulse : out STD_LOGIC;
    pwm : out STD_LOGIC_VECTOR ( 31 downto 0 );
    gpo : out STD_LOGIC_VECTOR ( 15 downto 0 );
    oversampling_pulse : out STD_LOGIC;
    BBOX_tri_o : out STD_LOGIC_VECTOR ( 51 downto 0 );
    BBOX_tri_t : out STD_LOGIC_VECTOR ( 51 downto 0 );
    cpu_core_state : out STD_LOGIC_VECTOR ( 1 downto 0 );
    fault : out STD_LOGIC;
    private_out : out STD_LOGIC_VECTOR ( 35 downto 0 );
    adc_done_cpu_pulse : out STD_LOGIC;
    adc_done_pulse : out STD_LOGIC;
    sampling_pulse : out STD_LOGIC;
    GT_gt0_qplllock : out STD_LOGIC;
    GT_gt0_qpllrefclklost : out STD_LOGIC;
    GT_gt_qpllclk_quad1 : out STD_LOGIC;
    GT_gt_qpllrefclk_quad1 : out STD_LOGIC;
    GT_gt_refclk1 : out STD_LOGIC;
    USR_tri_o : out STD_LOGIC_VECTOR ( 35 downto 0 );
    USR_tri_t : out STD_LOGIC_VECTOR ( 35 downto 0 );
    CLOCK_0_clk_en : out STD_LOGIC;
    CLOCK_0_period : out STD_LOGIC_VECTOR ( 15 downto 0 );
    CLOCK_0_prescaler : out STD_LOGIC_VECTOR ( 15 downto 0 );
    CLOCK_0_timer : out STD_LOGIC_VECTOR ( 15 downto 0 );
    CLOCK_1_clk_en : out STD_LOGIC;
    CLOCK_1_period : out STD_LOGIC_VECTOR ( 15 downto 0 );
    CLOCK_1_prescaler : out STD_LOGIC_VECTOR ( 15 downto 0 );
    CLOCK_1_timer : out STD_LOGIC_VECTOR ( 15 downto 0 );
    CLOCK_2_clk_en : out STD_LOGIC;
    CLOCK_2_period : out STD_LOGIC_VECTOR ( 15 downto 0 );
    CLOCK_2_prescaler : out STD_LOGIC_VECTOR ( 15 downto 0 );
    CLOCK_2_timer : out STD_LOGIC_VECTOR ( 15 downto 0 );
    CLOCK_3_clk_en : out STD_LOGIC;
    CLOCK_3_period : out STD_LOGIC_VECTOR ( 15 downto 0 );
    CLOCK_3_prescaler : out STD_LOGIC_VECTOR ( 15 downto 0 );
    CLOCK_3_timer : out STD_LOGIC_VECTOR ( 15 downto 0 );
    reading : out STD_LOGIC;
    SBIO_BUS_sb_addr : out STD_LOGIC_VECTOR ( 9 downto 0 );
    SBIO_BUS_sb_we : out STD_LOGIC;
    SBIO_BUS_sb_wdata : out STD_LOGIC_VECTOR ( 15 downto 0 );
    FIXED_IO_mio : inout STD_LOGIC_VECTOR ( 53 downto 0 );
    DDR_cas_n : inout STD_LOGIC;
    DDR_cke : inout STD_LOGIC;
    DDR_ck_n : inout STD_LOGIC;
    DDR_ck_p : inout STD_LOGIC;
    DDR_cs_n : inout STD_LOGIC;
    DDR_reset_n : inout STD_LOGIC;
    DDR_odt : inout STD_LOGIC;
    DDR_ras_n : inout STD_LOGIC;
    DDR_we_n : inout STD_LOGIC;
    DDR_ba : inout STD_LOGIC_VECTOR ( 2 downto 0 );
    DDR_addr : inout STD_LOGIC_VECTOR ( 14 downto 0 );
    FIXED_IO_ddr_vrn : inout STD_LOGIC;
    FIXED_IO_ddr_vrp : inout STD_LOGIC;
    DDR_dm : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    DDR_dq : inout STD_LOGIC_VECTOR ( 31 downto 0 );
    DDR_dqs_n : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    DDR_dqs_p : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    FIXED_IO_ps_srstb : inout STD_LOGIC;
    FIXED_IO_ps_clk : inout STD_LOGIC;
    FIXED_IO_ps_porb : inout STD_LOGIC;
    flt : in STD_LOGIC_VECTOR ( 15 downto 0 );
    gpi : in STD_LOGIC_VECTOR ( 15 downto 0 );
    BBOX_tri_i : in STD_LOGIC_VECTOR ( 51 downto 0 );
    private_in : in STD_LOGIC_VECTOR ( 30 downto 0 );
    inst_aurora : in STD_LOGIC_VECTOR ( 2 downto 0 );
    USR_tri_i : in STD_LOGIC_VECTOR ( 35 downto 0 );
    sb_pwm : in STD_LOGIC_VECTOR ( 31 downto 0 );
    inst_cb_pwm : in STD_LOGIC_VECTOR ( 31 downto 0 );
    inst_pp_pwm : in STD_LOGIC;
    inst_ss_pwm : in STD_LOGIC;
    user_fw_id : in STD_LOGIC_VECTOR ( 15 downto 0 );
    SBIO_BUS_sb_rdata : in STD_LOGIC_VECTOR ( 15 downto 0 )
  );

end ip_imp_OWDWE0;

architecture stub of ip_imp_OWDWE0 is
attribute X_INTERFACE_INFO : string;
attribute X_INTERFACE_INFO of DDR_cas_n : signal is "xilinx.com:interface:ddrx:1.0 DDR CAS_N";
attribute X_INTERFACE_INFO of DDR_ck_n : signal is "xilinx.com:interface:ddrx:1.0 DDR CK_N";
attribute X_INTERFACE_INFO of DDR_ck_p : signal is "xilinx.com:interface:ddrx:1.0 DDR CK_P";
attribute X_INTERFACE_INFO of DDR_cke : signal is "xilinx.com:interface:ddrx:1.0 DDR CKE";
attribute X_INTERFACE_INFO of DDR_cs_n : signal is "xilinx.com:interface:ddrx:1.0 DDR CS_N";
attribute X_INTERFACE_INFO of DDR_odt : signal is "xilinx.com:interface:ddrx:1.0 DDR ODT";
attribute X_INTERFACE_INFO of DDR_ras_n : signal is "xilinx.com:interface:ddrx:1.0 DDR RAS_N";
attribute X_INTERFACE_INFO of DDR_reset_n : signal is "xilinx.com:interface:ddrx:1.0 DDR RESET_N";
attribute X_INTERFACE_INFO of DDR_we_n : signal is "xilinx.com:interface:ddrx:1.0 DDR WE_N";
attribute X_INTERFACE_INFO of FIXED_IO_ddr_vrn : signal is "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO DDR_VRN";
attribute X_INTERFACE_PARAMETER : string;
attribute X_INTERFACE_PARAMETER of FIXED_IO_ddr_vrn : signal is "XIL_INTERFACENAME FIXED_IO, CAN_DEBUG false";
attribute X_INTERFACE_INFO of FIXED_IO_ddr_vrp : signal is "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO DDR_VRP";
attribute X_INTERFACE_INFO of FIXED_IO_ps_clk : signal is "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO PS_CLK";
attribute X_INTERFACE_INFO of FIXED_IO_ps_porb : signal is "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO PS_PORB";
attribute X_INTERFACE_INFO of FIXED_IO_ps_srstb : signal is "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO PS_SRSTB";
attribute X_INTERFACE_INFO of DDR_addr : signal is "xilinx.com:interface:ddrx:1.0 DDR ADDR";
attribute X_INTERFACE_PARAMETER of DDR_addr : signal is "XIL_INTERFACENAME DDR, AXI_ARBITRATION_SCHEME TDM, BURST_LENGTH 8, CAN_DEBUG false, CAS_LATENCY 11, CAS_WRITE_LATENCY 11, CS_ENABLED true, DATA_MASK_ENABLED true, DATA_WIDTH 8, MEMORY_TYPE COMPONENTS, MEM_ADDR_MAP ROW_COLUMN_BANK, SLOT Single, TIMEPERIOD_PS 1250";
attribute X_INTERFACE_INFO of DDR_ba : signal is "xilinx.com:interface:ddrx:1.0 DDR BA";
attribute X_INTERFACE_INFO of DDR_dm : signal is "xilinx.com:interface:ddrx:1.0 DDR DM";
attribute X_INTERFACE_INFO of DDR_dq : signal is "xilinx.com:interface:ddrx:1.0 DDR DQ";
attribute X_INTERFACE_INFO of DDR_dqs_n : signal is "xilinx.com:interface:ddrx:1.0 DDR DQS_N";
attribute X_INTERFACE_INFO of DDR_dqs_p : signal is "xilinx.com:interface:ddrx:1.0 DDR DQS_P";
attribute X_INTERFACE_INFO of FIXED_IO_mio : signal is "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO MIO";
attribute X_INTERFACE_INFO of USR_tri_i : signal is "xilinx.com:interface:gpio:1.0 USR TRI_I";
attribute X_INTERFACE_INFO of USR_tri_o : signal is "xilinx.com:interface:gpio:1.0 USR TRI_O";
attribute X_INTERFACE_INFO of USR_tri_t : signal is "xilinx.com:interface:gpio:1.0 USR TRI_T";attribute syn_black_box : boolean;
attribute black_box_pad_pin : string;
attribute syn_black_box of stub : architecture is true;
attribute black_box_pad_pin of stub : architecture is "clk_50_mhz,clk_250_mhz,ADC_reg_00[15:0],ADC_reg_01[15:0],ADC_reg_02[15:0],ADC_reg_03[15:0],ADC_reg_04[15:0],ADC_reg_05[15:0],ADC_reg_06[15:0],ADC_reg_07[15:0],ADC_reg_08[15:0],ADC_reg_09[15:0],ADC_reg_10[15:0],ADC_reg_11[15:0],ADC_reg_12[15:0],ADC_reg_13[15:0],ADC_reg_14[15:0],ADC_reg_15[15:0],data_valid_pulse,sync_pulse,pwm[31:0],gpo[15:0],oversampling_pulse,BBOX_tri_o[51:0],BBOX_tri_t[51:0],cpu_core_state[1:0],fault,private_out[35:0],adc_done_cpu_pulse,adc_done_pulse,sampling_pulse,GT_gt0_qplllock,GT_gt0_qpllrefclklost,GT_gt_qpllclk_quad1,GT_gt_qpllrefclk_quad1,GT_gt_refclk1,USR_tri_o[35:0],USR_tri_t[35:0],CLOCK_0_clk_en,CLOCK_0_period[15:0],CLOCK_0_prescaler[15:0],CLOCK_0_timer[15:0],CLOCK_1_clk_en,CLOCK_1_period[15:0],CLOCK_1_prescaler[15:0],CLOCK_1_timer[15:0],CLOCK_2_clk_en,CLOCK_2_period[15:0],CLOCK_2_prescaler[15:0],CLOCK_2_timer[15:0],CLOCK_3_clk_en,CLOCK_3_period[15:0],CLOCK_3_prescaler[15:0],CLOCK_3_timer[15:0],reading,SBIO_BUS_sb_addr[9:0],SBIO_BUS_sb_we,SBIO_BUS_sb_wdata[15:0],FIXED_IO_mio[53:0],DDR_cas_n,DDR_cke,DDR_ck_n,DDR_ck_p,DDR_cs_n,DDR_reset_n,DDR_odt,DDR_ras_n,DDR_we_n,DDR_ba[2:0],DDR_addr[14:0],FIXED_IO_ddr_vrn,FIXED_IO_ddr_vrp,DDR_dm[3:0],DDR_dq[31:0],DDR_dqs_n[3:0],DDR_dqs_p[3:0],FIXED_IO_ps_srstb,FIXED_IO_ps_clk,FIXED_IO_ps_porb,flt[15:0],gpi[15:0],BBOX_tri_i[51:0],private_in[30:0],inst_aurora[2:0],USR_tri_i[35:0],sb_pwm[31:0],inst_cb_pwm[31:0],inst_pp_pwm,inst_ss_pwm,user_fw_id[15:0],SBIO_BUS_sb_rdata[15:0]";
begin
end;
